Creates a stopped instance of EvPrepare watcher

- « EvPrepare::__construct

- EvSignal »

- PHP Manual
- EvPrepare
- Creates a stopped instance of EvPrepare watcher

# EvPrepare::createStopped

(PECL ev >= 0.2.0)

EvPrepare::createStopped — Creates a stopped instance of EvPrepare watcher

### Description

final public static EvPrepare::createStopped( callable `$callback` , mixed `$data` = `null` , int `$priority` = 0 ): EvPrepare

Creates a stopped instance of EvPrepare watcher. Unlike EvPrepare::__construct(), this method doesn' start the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks.

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Return EvPrepare object on success.

### See Also

- EvPrepare::__construct() - Constructs EvPrepare watcher object
- EvWatcher::start() - Starts the watcher